cURL
curl "https://api.scrapio.dev/v1/autotrader/listing?listing_id=202606053030491" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/autotrader/listing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/autotrader/listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "autotrader",
"page_type": "listing",
"snapshot_at": "<string>",
"listing": {
"id": "<string>",
"url": "<string>",
"title": "<string>",
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"year": 0,
"price": 123,
"price_indicator": "<string>",
"mileage": 4503599627370495,
"fuel_type": "<string>",
"body_type": "<string>",
"gearbox": "<string>",
"engine_size_litres": 123,
"doors": 4503599627370495,
"seats": 4503599627370495,
"body_colour": "<string>",
"emission_class": "<string>",
"description": "<string>",
"location": {
"town": "<string>",
"county": "<string>",
"postcode": "<string>",
"latitude": 123,
"longitude": 123
},
"seller": {
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"website": "<string>",
"rating": 123,
"review_count": 4503599627370495
},
"images": [
"<string>"
],
"vehicle_check_status": "<string>"
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}AutoTrader
Get an AutoTrader listing
Fetch structured detail for a single AutoTrader UK listing by numeric id.
GET
/
v1
/
autotrader
/
listing
cURL
curl "https://api.scrapio.dev/v1/autotrader/listing?listing_id=202606053030491" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/autotrader/listing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/autotrader/listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "autotrader",
"page_type": "listing",
"snapshot_at": "<string>",
"listing": {
"id": "<string>",
"url": "<string>",
"title": "<string>",
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"year": 0,
"price": 123,
"price_indicator": "<string>",
"mileage": 4503599627370495,
"fuel_type": "<string>",
"body_type": "<string>",
"gearbox": "<string>",
"engine_size_litres": 123,
"doors": 4503599627370495,
"seats": 4503599627370495,
"body_colour": "<string>",
"emission_class": "<string>",
"description": "<string>",
"location": {
"town": "<string>",
"county": "<string>",
"postcode": "<string>",
"latitude": 123,
"longitude": 123
},
"seller": {
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"website": "<string>",
"rating": 123,
"review_count": 4503599627370495
},
"images": [
"<string>"
],
"vehicle_check_status": "<string>"
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Pattern:
^\d+$Country to use when submitting the request, e.g. 'gb', 'us', 'de'
Required string length:
2 - 64⌘I